# Generated from rails-disco-0.5.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rails-disco

Name: rubygem-%{gem_name}
Version: 0.5.3
Release: 1%{?dist}
Summary: A distributed party with commands, events and projections
License: MIT
URL: https://github.com/hicknhack-software/rails-disco
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Rails Disco is a framework that extends Rails with support for the best
parts of event sourcing.
Instead of updating models synchronously in Rails, these changes are captured
in commands. Commands are validated in a domain and create the only source of
truth: events. Later events can be projected into Rails models and other
actions.
Have a look at the documentation on Github for more details.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Apr 20 2022 mockbuilder - 0.5.3-1
- Initial package
